Skip to content
Start here

Update predefined profile config

PUT/accounts/{account_id}/dlp/profiles/predefined/{profile_id}/config

This is similar to update_predefined but only returns entries that are enabled. This is needed for our terraform API Updates a DLP predefined profile. Only supports enabling/disabling entries.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust Write
Path ParametersExpand Collapse
account_id: optional string
profile_id: string
formatuuid
Body ParametersJSONExpand Collapse
ai_context_enabled: optional boolean
allowed_match_count: optional number
formatint32
maximum1000
minimum0
confidence_threshold: optional string
enabled_entries: optional array of string
Deprecatedentries: optional array of object { id, enabled }
id: string
formatuuid
enabled: boolean
ocr_enabled: optional boolean
ReturnsExpand Collapse
errors: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
success: true

Whether the API call was successful.

result: optional PredefinedProfile { id, allowed_match_count, confidence_threshold, 6 more }
id: string

The id of the predefined profile (uuid).

formatuuid
allowed_match_count: number
formatint32
confidence_threshold: string
enabled_entries: array of string

Entries to enable for this predefined profile. Any entries not provided will be disabled.

Deprecatedentries: array of object { id, created_at, enabled, 6 more } or object { id, confidence, enabled, 4 more } or object { id, created_at, enabled, 4 more } or 3 more

This field has been deprecated for enabled_entries.

One of the following:
CustomEntry object { id, created_at, enabled, 6 more }
id: string
formatuuid
created_at: string
formatdate-time
Deprecatedenabled: boolean
name: string
pattern: Pattern { regex, validation }
regex: string
Deprecatedvalidation: optional "luhn"
type: "custom"
updated_at: string
formatdate-time
description: optional string
Deprecatedprofile_id: optional string
formatuuid
PredefinedEntry object { id, confidence, enabled, 4 more }
id: string
formatuuid
confidence: object { ai_context_available, available }
ai_context_available: boolean

Indicates whether this entry has AI remote service validation.

available: boolean

Indicates whether this entry has any form of validation that is not an AI remote service.

enabled: boolean
name: string
type: "predefined"
Deprecatedprofile_id: optional string
formatuuid
variant: optional object { topic_type, type, description }
topic_type: "Intent" or "Content"
One of the following:
"Intent"
"Content"
type: "PromptTopic"
description: optional string
IntegrationEntry object { id, created_at, enabled, 4 more }
id: string
formatuuid
created_at: string
formatdate-time
enabled: boolean
name: string
type: "integration"
updated_at: string
formatdate-time
profile_id: optional string
formatuuid
ExactDataEntry object { id, case_sensitive, created_at, 5 more }
id: string
formatuuid
case_sensitive: boolean

Only applies to custom word lists. Determines if the words should be matched in a case-sensitive manner Cannot be set to false if secret is true

created_at: string
formatdate-time
enabled: boolean
name: string
secret: boolean
type: "exact_data"
updated_at: string
formatdate-time
DocumentFingerprintEntry object { id, created_at, enabled, 3 more }
id: string
formatuuid
created_at: string
formatdate-time
enabled: boolean
name: string
type: "document_fingerprint"
updated_at: string
formatdate-time
WordListEntry object { id, created_at, enabled, 5 more }
id: string
formatuuid
created_at: string
formatdate-time
enabled: boolean
name: string
type: "word_list"
updated_at: string
formatdate-time
word_list: unknown
profile_id: optional string
formatuuid
name: string

The name of the predefined profile.

ai_context_enabled: optional boolean
ocr_enabled: optional boolean
open_access: optional boolean

Whether this profile can be accessed by anyone.

Update predefined profile config

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/dlp/profiles/predefined/$PROFILE_ID/config \
    -X PUT \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "allowed_match_count": 5
        }'
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "allowed_match_count": 0,
    "confidence_threshold": "confidence_threshold",
    "enabled_entries": [
      "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
    ],
    "entries": [
      {
        "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "created_at": "2019-12-27T18:11:19.117Z",
        "enabled": true,
        "name": "name",
        "pattern": {
          "regex": "regex",
          "validation": "luhn"
        },
        "type": "custom",
        "updated_at": "2019-12-27T18:11:19.117Z",
        "description": "description",
        "profile_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
      }
    ],
    "name": "name",
    "ai_context_enabled": true,
    "ocr_enabled": true,
    "open_access": true
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "allowed_match_count": 0,
    "confidence_threshold": "confidence_threshold",
    "enabled_entries": [
      "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
    ],
    "entries": [
      {
        "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
        "created_at": "2019-12-27T18:11:19.117Z",
        "enabled": true,
        "name": "name",
        "pattern": {
          "regex": "regex",
          "validation": "luhn"
        },
        "type": "custom",
        "updated_at": "2019-12-27T18:11:19.117Z",
        "description": "description",
        "profile_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
      }
    ],
    "name": "name",
    "ai_context_enabled": true,
    "ocr_enabled": true,
    "open_access": true
  }
}